Bug 1281654 - [DOCS] restartpolicy needs explanation
[DOCS] restartpolicy needs explanation
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Burke
weiwei jiang
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 20:53 EST by brice
Modified: 2018-02-07 09:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-07 09:00:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brice 2015-11-12 20:53:58 EST
Several example templates in the docs use the restartpolicy parameter:

https://github.com/openshift/openshift-docs/search?utf8=%E2%9C%93&q=restartpolicy

The only place this is explained is in the API docs:

https://docs.openshift.com/enterprise/3.0/rest_api/kubernetes_v1.html

This links to a fulll explanation of the parameter and it's possible values in the Kubernetes docs.

We should document this in a more prominent place in the Enterprise docs.
Comment 2 Michael Burke 2018-01-02 13:06:50 EST
WIP https://github.com/openshift/openshift-docs/pull/6972
Comment 3 weiwei jiang 2018-01-04 02:15:07 EST
Checked and LGTM.

Note You need to log in before you can comment on or make changes to this bug.